DotsDocs
Users

Add User Address

Add an address to the user

PUT
/v2/users/{user_id}/addresses

Add an address to the user

Authorization

api_key
headerAuthorizationBasic <token>

Path Parameters

user_id*string

The ID of the user

Request Body

application/json
  1. body
postcode*string

Canadian postal codes may be normalized to uppercase A1A 1A1 format before storage.

city*string
state*string

2 letter state code for US states

country*string

2 letter country code

line_1*string
line_2?string
line_3?string

Response Body

Updated

Example Request
curl -X PUT 'https://api.dots.dev/api/v2/users/string/addresses' \  -H 'Content-Type: application/json' \  -d '{  "postcode": "string",  "city": "string",  "state": "string",  "country": "string",  "line_1": "string"}'
Example Response
Empty